#include "rte_Alinear_encoder_parameters.h"
#include "Alinear_encoder.h"
#include "Alinear_encoder_cal.h"

RTE_Param_Service_T RTE_Param_Service = {
  0.020943951023931952,
  -0.94248,
  1193.6620731892151
};

RTE_Param_Service_T *RTE_Param_Service_ptr = &RTE_Param_Service;
real_T* get_cte_encoder(void)
{
  return &RTE_Param_Service_ptr->cte_encoder;
}

real_T* get_desfase_z_d(void)
{
  return &RTE_Param_Service_ptr->desfase_z_d;
}

real_T* get_gain_velocidad(void)
{
  return &RTE_Param_Service_ptr->gain_velocidad;
}

extern Alinear_encoder_cal_type Alinear_encoder_cal_impl;
extern RTE_Param_Service_T RTE_Param_Service;
namespace slrealtime
{
  /* Description of SEGMENTS */
  SegmentVector segmentInfo {
    { (void*)&RTE_Param_Service, (void**)&RTE_Param_Service_ptr, sizeof
      (RTE_Param_Service_T), 2 },

    { (void*)&Alinear_encoder_cal_impl, (void**)&Alinear_encoder_cal, sizeof
      (Alinear_encoder_cal_type), 2 }
  };

  SegmentVector &getSegmentVector(void)
  {
    return segmentInfo;
  }
}                                      // slrealtime
